// bmp2aviDlg.h : header file
//

#if !defined(AFX_BMP2AVIDLG_H__80410B66_AFEE_11D3_BE88_976B09E33F46__INCLUDED_)
#define AFX_BMP2AVIDLG_H__80410B66_AFEE_11D3_BE88_976B09E33F46__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// CBmp2aviDlg dialog

class CBmp2aviDlg : public CDialog
{

// Construction
public:
	CBitmap* GetBitmapFromBMPFile(CString filename);
	CBitmap* GetBitmapFromPNGFile(CString file);
	CBmp2aviDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CBmp2aviDlg)
	enum { IDD = IDD_BMP2AVI_DIALOG };
	CListBox	m_FileList;
	CString	m_AVIFileName;
	UINT	m_FrameRate;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBmp2aviDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	LPTSTR m_lpstrFile;
	// Generated message map functions
	//{{AFX_MSG(CBmp2aviDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnMakeavi();
	afx_msg void OnAddbitmaps();
	afx_msg void OnClearlist();
	afx_msg void OnBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BMP2AVIDLG_H__80410B66_AFEE_11D3_BE88_976B09E33F46__INCLUDED_)
